form-builder-fields
2 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List fields for a form, ordered by sort_order#
GET
/spaces/{spaceId}/forms/{formId}/fieldsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
formIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/forms/{formId}/fields" \
-H "Authorization: Bearer $XISUITE_TOKEN"Atomically replace ALL fields for a form (version-locked)#
PUT
/spaces/{spaceId}/forms/{formId}/fieldsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
formIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
versionPflicht | number | Current form version for optimistic locking |
fieldsPflicht | FormBuilderFieldDto[] | – |
Antworten
- 409Version conflict
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/forms/{formId}/fields" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"version":0,"fields":[]}'